Font Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Enumerations | Functions
Font Functions
Evas » Canvas Functions

Functions that deal with fonts. More...

## Modules
| Font Path Functions
| Functions that edit the paths being used to load fonts.

## Enumerations
enum | Evas_Font_Hinting_Flags { EVAS_FONT_HINTING_NONE = 0 , EVAS_FONT_HINTING_AUTO , EVAS_FONT_HINTING_BYTECODE }
| Flags for Font Hinting. More...

## Functions
EVAS_API void | evas_font_reinit (void)
| Reinitialize FontConfig.
EVAS_API void | evas_font_available_list_free (Evas *e, Eina_List *available)
| Free list of font descriptions returned by evas_font_dir_available_list().
EVAS_API void | evas_font_hinting_set (Evas *e, Evas_Font_Hinting_Flags hinting)
| Changes the font hinting for the given evas.
EVAS_API Evas_Font_Hinting_Flags | evas_font_hinting_get (const Evas *e)
| Retrieves the font hinting used by the given evas.

## Detailed Description

Functions that deal with fonts.

## Enumeration Type Documentation

## ◆ Evas_Font_Hinting_Flags

enum Evas_Font_Hinting_Flags

Flags for Font Hinting.

Enumerator
EVAS_FONT_HINTING_NONE | No font hinting.
EVAS_FONT_HINTING_AUTO | Automatic font hinting.
EVAS_FONT_HINTING_BYTECODE | Bytecode font hinting.

## Function Documentation

## ◆ evas_font_reinit()

EVAS_API void evas_font_reinit | ( | void |  | ) |

Reinitialize FontConfig.

If FontConfig has to be reinitialized according to changes of system environments (e.g. Changing font config files), it will be useful.

Since
  1.14

References EINA_LIST_FOREACH.

## ◆ evas_font_available_list_free()

EVAS_API void evas_font_available_list_free | ( | Evas * | e,
|  | Eina_List * | available
| ) |  |

Free list of font descriptions returned by evas_font_dir_available_list().

Parameters

  e | The evas instance that returned such list.
  available | the list returned by evas_font_dir_available_list().

## ◆ evas_font_hinting_set()

EVAS_API void evas_font_hinting_set | ( | Evas * | e,
|  | Evas_Font_Hinting_Flags | hinting
| ) |  |

Changes the font hinting for the given evas.

EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

Parameters

  [in] | hinting | The used hinting, one of EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

References EINA_INLIST_FOREACH.

Referenced by elm_config_font_hint_type_set().

## ◆ evas_font_hinting_get()

EVAS_API Evas_Font_Hinting_Flags evas_font_hinting_get | ( | const Evas * | e | ) |

Retrieves the font hinting used by the given evas.

Returns
  The used hinting, one of EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

References EVAS_FONT_HINTING_NONE.